<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title></title>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=/*[ID_CHARSET]*/">
<meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
<meta HTTP-EQUIV="Cache-Control" CONTENT="no-cache, must-revalidate">
<meta HTTP-EQUIV="Expires" CONTENT="Tue, 29 Aug 2000 08:16:16 GMT">
<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
<link href="global.css" rel="stylesheet" type="text/css" />
<script><!--
		
		function cancel()
		{
			//var radio=document.getElementById("Radio1");
			//if(radio.checked)
			{
				//alert("radio.checked"+radio.checked);
			}
			//radio.setAttribute("disabled",true);
			
			//insertOptionI(oequip,osignal,equipSampleSignals);
			//alert(o.options[o.selectedIndex].innerText);
			//delOptions(o);
			
			//temp=document.createElement("option");
			//temp.innerText="signalName";
			//o.appendChild(temp);
			window.close();
		}
		
		
		function Select1Chg(o)//Select1元素触发
		{
			switch(o.options[o.selectedIndex].innerText)
			{
				case 'SET':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.setAttribute("disabled","true");
					var select3=document.all["Select3"];
					select3.setAttribute("disabled","true");
					var select4=document.all["Select4"];
					select4.setAttribute("disabled","true");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("disabled",true);

					var radio2=document.getElementById("Radio2");
					radio2.setAttribute("disabled",true);
					
					//Input2
					var select5=document.all["Select5"];
					select5.setAttribute("disabled","true");
					var select6=document.all["Select6"];
					select6.setAttribute("disabled","true");
					var select7=document.all["Select7"];
					select7.setAttribute("disabled","true");
					
					var text4=document.all["Text4"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("disabled",true);

					var radio4=document.getElementById("Radio4");
					radio4.setAttribute("disabled",true);
					
					//Param1
					var text1=document.all["Text1"];
					text1.removeAttribute("disabled");
					
					//Param2
					var text2=document.all["Text2"];
					text2.setAttribute("disabled","true");
					
					reloadSig();
					
					break;
				}
				case 'AND':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.removeAttribute("disabled");
					var select3=document.all["Select3"];
					select3.removeAttribute("disabled");
					var select4=document.all["Select4"];
					select4.removeAttribute("disabled");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("checked",true);
					radio1.removeAttribute("disabled");
					
					var radio2=document.getElementById("Radio2");
					radio2.removeAttribute("disabled");
					
					//Input2
					var select5=document.all["Select5"];
					select5.removeAttribute("disabled");
					var select6=document.all["Select6"];
					select6.removeAttribute("disabled");
					var select7=document.all["Select7"];
					select7.removeAttribute("disabled");
					
					var text4=document.all["Text4"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("checked",true);
					radio3.removeAttribute("disabled");
					
					var radio4=document.getElementById("Radio4");
					radio4.removeAttribute("disabled");
					
					//Param1
					var text1=document.all["Text1"];
					text1.setAttribute("disabled","true");	
					
					//Param2
					var text2=document.all["Text2"];
					text2.setAttribute("disabled","true");	
					
					reloadSig();
					
					break;
				}
				case 'OR':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.removeAttribute("disabled");
					var select3=document.all["Select3"];
					select3.removeAttribute("disabled");
					var select4=document.all["Select4"];
					select4.removeAttribute("disabled");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("checked",true);
					radio1.removeAttribute("disabled");
					
					var radio2=document.getElementById("Radio2");
					radio2.removeAttribute("disabled");
					
					//Input2
					var select5=document.all["Select5"];
					select5.removeAttribute("disabled");
					var select6=document.all["Select6"];
					select6.removeAttribute("disabled");
					var select7=document.all["Select7"];
					select7.removeAttribute("disabled");
					
					var text4=document.all["Text3"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("checked",true);
					radio3.removeAttribute("disabled");
					
					var radio4=document.getElementById("Radio4");
					radio4.removeAttribute("disabled");
					
					//Param1
					var text1=document.all["Text1"];
					text1.setAttribute("disabled","true");	
					
					//Param2
					var text2=document.all["Text2"];
					text2.setAttribute("disabled","true");	
					
					reloadSig();
					
					break;
				}
				case 'NOT':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.removeAttribute("disabled");
					var select3=document.all["Select3"];
					select3.removeAttribute("disabled");
					var select4=document.all["Select4"];
					select4.removeAttribute("disabled");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("checked",true);
					radio1.removeAttribute("disabled");
					
					var radio2=document.getElementById("Radio2");
					radio2.removeAttribute("disabled");
					
					//Input2
					var select5=document.all["Select5"];
					select5.setAttribute("disabled","true");
					var select6=document.all["Select6"];
					select6.setAttribute("disabled","true");
					var select7=document.all["Select7"];
					select7.setAttribute("disabled","true");
					
					var text4=document.all["Text4"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("disabled",true);

					var radio4=document.getElementById("Radio4");
					radio4.setAttribute("disabled",true);

					
					
					//Param1
					var text1=document.all["Text1"];
					text1.setAttribute("disabled","true");	
					
					//Param2
					var text2=document.all["Text2"];
					text2.setAttribute("disabled","true");	
					
					reloadSig();
					
					break;
					
					
				}
				case 'XOR':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.removeAttribute("disabled");
					var select3=document.all["Select3"];
					select3.removeAttribute("disabled");
					var select4=document.all["Select4"];
					select4.removeAttribute("disabled");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("checked",true);
					radio1.removeAttribute("disabled");
					
					var radio2=document.getElementById("Radio2");
					radio2.removeAttribute("disabled");
					
					//Input2
					var select5=document.all["Select5"];
					select5.removeAttribute("disabled");
					var select6=document.all["Select6"];
					select6.removeAttribute("disabled");
					var select7=document.all["Select7"];
					select7.removeAttribute("disabled");
					
					var text4=document.all["Text3"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("checked",true);
					radio3.removeAttribute("disabled");
					
					var radio4=document.getElementById("Radio4");
					radio4.removeAttribute("disabled");
					
					//Param1
					var text1=document.all["Text1"];
					text1.setAttribute("disabled","true");	
					
					//Param2
					var text2=document.all["Text2"];
					text2.setAttribute("disabled","true");	
					
					reloadSig();
					
					break;
				}
				case 'GT':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.removeAttribute("disabled");
					var select3=document.all["Select3"];
					select3.removeAttribute("disabled");
					var select4=document.all["Select4"];
					select4.removeAttribute("disabled");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("checked",true);
					radio1.removeAttribute("disabled");
					
					var radio2=document.getElementById("Radio2");
					radio2.removeAttribute("disabled");
					
					//Input2
					var select5=document.all["Select5"];
					select5.setAttribute("disabled","true");
					var select6=document.all["Select6"];
					select6.setAttribute("disabled","true");
					var select7=document.all["Select7"];
					select7.setAttribute("disabled","true");
					
					var text4=document.all["Text4"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("disabled",true);

					var radio4=document.getElementById("Radio4");
					radio4.setAttribute("disabled",true);

					
					//Param1
					var text1=document.all["Text1"];
					text1.removeAttribute("disabled");
					
					//Param2
					var text2=document.all["Text2"];
					text2.removeAttribute("disabled");
					
					//根据limitation的限制，重新加载input1中的signalName
					reloadSigLimit();
					
					break;
				}
				case 'LT':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.removeAttribute("disabled");
					var select3=document.all["Select3"];
					select3.removeAttribute("disabled");
					var select4=document.all["Select4"];
					select4.removeAttribute("disabled");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("checked",true);
					radio1.removeAttribute("disabled");
					
					var radio2=document.getElementById("Radio2");
					radio2.removeAttribute("disabled");
					
					//Input2
					var select5=document.all["Select5"];
					select5.setAttribute("disabled","true");
					var select6=document.all["Select6"];
					select6.setAttribute("disabled","true");
					var select7=document.all["Select7"];
					select7.setAttribute("disabled","true");
					
					var text4=document.all["Text4"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("disabled",true);

					var radio4=document.getElementById("Radio4");
					radio4.setAttribute("disabled",true);

					
					//Param1
					var text1=document.all["Text1"];
					text1.removeAttribute("disabled");
					
					//Param2
					var text2=document.all["Text2"];
					text2.removeAttribute("disabled");
					
					//根据limitation的限制，重新加载input1中的signalName
					reloadSigLimit();
					
					break;
				}
				case 'DS':
				{
					//Input1
					var select2=document.all["Select2"];
					select2.removeAttribute("disabled");
					var select3=document.all["Select3"];
					select3.removeAttribute("disabled");
					var select4=document.all["Select4"];
					select4.removeAttribute("disabled");
					
					var text3=document.all["Text3"];
					text3.setAttribute("disabled","true");
					
					var radio1=document.getElementById("Radio1");
					radio1.setAttribute("checked",true);
					radio1.removeAttribute("disabled");
					
					var radio2=document.getElementById("Radio2");
					radio2.removeAttribute("disabled");
					
					//Input2
					var select5=document.all["Select5"];
					select5.setAttribute("disabled","true");
					var select6=document.all["Select6"];
					select6.setAttribute("disabled","true");
					var select7=document.all["Select7"];
					select7.setAttribute("disabled","true");
					
					var text4=document.all["Text4"];
					text4.setAttribute("disabled","true");
					
					var radio3=document.getElementById("Radio3");
					radio3.setAttribute("disabled",true);

					var radio4=document.getElementById("Radio4");
					radio4.setAttribute("disabled",true);
					
					//Param1
					var text1=document.all["Text1"];
					text1.removeAttribute("disabled");
					
					//Param2
					var text2=document.all["Text2"];
					text2.setAttribute("disabled","true");
					
					reloadSig();
					
					break;
				}
			}
		}
		
		function reloadSigLimit()//根据limitation的限制，重新加载input1中的signalName
		{
			var select2=document.all["Select2"]
			var select3=document.all["Select3"]
			var select4=document.all["Select4"]
			
			var Signals;
			
			delOptions(select4);//删除原有显示信号
			
			switch(select3.options[select3.selectedIndex].value)
			{
				case "0":
				{
					Signals=equipSampleSignals;
					break;
				}
				case "1":
				{
					Signals=equipControlSignals;
					break;
				}
				case "2":
				{
					Signals=equipSettingSignals;
					break;
				}
				case "3":
				{
					Signals=equipAlarmSignals;
					break;
				}
			}
			
			var count=Signals.length;

			var temp=new Array();
			var optionCount=0;

			for(i=0;i<count;i++)
			{
				if((Signals[i].equipId==select2.options[select2.selectedIndex].value)&&(Signals[i].valueType=="1"||Signals[i].valueType=="2"||Signals[i].valueType=="3"))
				{
					temp[optionCount]=document.createElement("option");
					temp[optionCount].innerText=Signals[i].signalName;
					temp[optionCount].setAttribute("value",Signals[i].signalId);
					
					optionCount++;
				}
			}
			
			for(b=0;b<optionCount;b++)
			{
				select4.appendChild(temp[b]);
			}
		}
		
		function reloadSig()//根据limitation的限制，重新加载input1中的signalName
		{
			var select2=document.all["Select2"]
			var select3=document.all["Select3"]
			var select4=document.all["Select4"]
			
			var Signals;
			
			delOptions(select4);//删除原有显示信号
			
			switch(select3.options[select3.selectedIndex].value)
			{
				case "0":
				{
					Signals=equipSampleSignals;
					break;
				}
				case "1":
				{
					Signals=equipControlSignals;
					break;
				}
				case "2":
				{
					Signals=equipSettingSignals;
					break;
				}
				case "3":
				{
					Signals=equipAlarmSignals;
					break;
				}
			}
			
			var count=Signals.length;

			var temp=new Array();
			var optionCount=0;

			for(i=0;i<count;i++)
			{
				if(Signals[i].equipId==select2.options[select2.selectedIndex].value)
				{
					temp[optionCount]=document.createElement("option");
					temp[optionCount].innerText=Signals[i].signalName;
					temp[optionCount].setAttribute("value",Signals[i].signalId);
					
					optionCount++;
				}
			}
			
			for(b=0;b<optionCount;b++)
			{
				select4.appendChild(temp[b]);
			}
		}
		
		function typeChange(o)//用来根据信号类型，显示对应信号。SignalType Select(Select3,6,9)元素触发
		{
			var selectId=o.id;
			var sigtype=o.options[o.selectedIndex].value;

			
			if(selectId=="Select3")
			{
				var equip=document.all["Select2"]//用来决定设备
				var osignal=document.all["Select4"];
			}
			else if(selectId=="Select6")
			{
				var equip=document.all["Select5"]//用来决定设备
				var osignal=document.all["Select7"];
			}
			else if(selectId=="Select9")
			{
				var equip=document.all["Select8"]//用来决定设备
				var osignal=document.all["Select10"];
			}
			
			if(sigtype=="0")
			{
				Signals=equipSampleSignals;
			}
			else if(sigtype=="1")
			{
				Signals=equipControlSignals;
			}
			else if(sigtype=="2")
			{
				Signals=equipSettingSignals;
			}
			else if(sigtype=="3")
			{
				Signals=equipAlarmSignals;
			}
			
			if(selectId=="Select3"||selectId=="Select6")
			{
				insertOptionI(equip,osignal,Signals);
			}
			else if(selectId=="Select9")
			{
				insertOptionO(equip,osignal,Signals);
			}
			
		}
		
		
		function selectChange(o)//用来根据设备ID，显示对应信号。EquipName Select(Select2,5,8)元素触发
		{
			var selectId=o.id;	
			
			if(selectId=="Select2")
			{
				var otype=document.all["Select3"];//用来决定信号类型
				var osignal=document.all["Select4"];
			}
			else if(selectId=="Select5")
			{
				var otype=document.all["Select6"];//用来决定信号类型
				var osignal=document.all["Select7"];
			}
			else if(selectId=="Select8")
			{
				var otype=document.all["Select9"];//用来决定信号类型
				var osignal=document.all["Select10"];
			}
			
			var sigtype=otype.options[otype.selectedIndex].value;
			
			if(sigtype=="0")
			{
				Signals=equipSampleSignals;
			}
			else if(sigtype=="1")
			{
				Signals=equipControlSignals;
			}
			else if(sigtype=="2")
			{
				Signals=equipSettingSignals;
			}
			else if(sigtype=="3")
			{
				Signals=equipAlarmSignals;
			}
			
			if(selectId=="Select2"||selectId=="Select5")
			{
				insertOptionI(o,osignal,Signals);
			}
			else if(selectId=="Select8")
			{
				insertOptionO(o,osignal,Signals);
			}
		}
		
		function delOptions(o)//o为Select元素对象,用来删除Select元素下的option元素
		{
			var temp=o;

			while(temp.options.length!=0)
			{
				var count=temp.options.length-1
				for(i=0;i<=count;i++)
				{
					temp.options[i]=null;
				}
			}
		}
		
		function insertOptionI(oequip,osignal,signal)//osignal为signal Select元素对象,oequip为equip Select元素（其选项决定signal Select元素对象）,signal为信号数组
		{
			delOptions(osignal);//删除原有显示信号
			
			var temp=new Array();
			var count=signal.length;
			var optionCount=0;
			var optionSelect=document.all["Select1"];
			
			if(optionSelect.options[optionSelect.selectedIndex].value=="LT"||optionSelect.options[optionSelect.selectedIndex].value=="GT")
			{
				for(i=0;i<count;i++)
					{
						if(signal[i].equipId==oequip.options[oequip.selectedIndex].value&&(signal[i].valueType=="1"||signal[i].valueType=="2"||signal[i].valueType=="3"))
						{
							temp[optionCount]=document.createElement("option");
							temp[optionCount].innerText=signal[i].signalName;
							temp[optionCount].setAttribute("value",signal[i].signalId);
							
							optionCount++;
						}
					}
			}
			else
			{
				for(i=0;i<count;i++)
				{
					if(signal[i].equipId==oequip.options[oequip.selectedIndex].value)
					{
						temp[optionCount]=document.createElement("option");
						temp[optionCount].innerText=signal[i].signalName;
						temp[optionCount].setAttribute("value",signal[i].signalId);
						
						optionCount++;
					}
				}
			}

			for(b=0;b<optionCount;b++)
			{
				osignal.appendChild(temp[b]);
			}
		}
		
		function insertOptionO(oequip,osignal,signal)//osignal为signal Select元素对象,oequip为equip Select元素（其选项决定signal Select元素对象）,signal为信号数组
		{
			delOptions(osignal);//删除原有显示信号
			
			var temp=new Array();
			var count=signal.length;
			var optionCount=0;
			
			for(i=0;i<count;i++)
			{
				if(signal[i].equipId==oequip.options[oequip.selectedIndex].value&&signal[i].valueType=="5")
				{
					temp[optionCount]=document.createElement("option");
					temp[optionCount].innerText=signal[i].signalName;
					temp[optionCount].setAttribute("value",signal[i].signalId);
					optionCount++;
				}
			}

			for(b=0;b<optionCount;b++)
			{
				osignal.appendChild(temp[b]);
			}
		}
		
		
		
		function ChangeState(o)//由Radio控制控件的显示状态,由Radio1,2,3,4,5,6触发
		{
			var select1=document.all["Select1"];
			var option=select1.options[select1.selectedIndex].innerText;
			var ratio=o.id;
			
			if(option=="SET"&&(ratio=="Radio1"||ratio=="Radio2"||ratio=="Radio3"||ratio=="Radio4"))
			{
				return null;
			}
			
			if((option=="NOT"||option=="GT"||option=="LT"||option=="DS")&&(ratio=="Radio3"||ratio=="Radio4"))
			{
				return null;
			}
			
			if(o.id=="Radio1")
			{
				var select2=document.all["Select2"];
				select2.removeAttribute("disabled");
				var select3=document.all["Select3"];
				select3.removeAttribute("disabled");
				var select4=document.all["Select4"];
				select4.removeAttribute("disabled");
				
				var text3=document.all["Text3"];
				text3.setAttribute("disabled","true");
		
			}
			else if(o.id=="Radio2")
			{
				var select2=document.all["Select2"];
				select2.setAttribute("disabled","true");
				var select3=document.all["Select3"];
				select3.setAttribute("disabled","true");
				var select4=document.all["Select4"];
				select4.setAttribute("disabled","true");
				
				var text3=document.all["Text3"];
				text3.removeAttribute("disabled");
				
			}
			else if(o.id=="Radio3")
			{
				var select5=document.all["Select5"];
				select5.removeAttribute("disabled");
				var select6=document.all["Select6"];
				select6.removeAttribute("disabled");
				var select7=document.all["Select7"];
				select7.removeAttribute("disabled");
				
				var text4=document.all["Text4"];
				text4.setAttribute("disabled","true");
			}
			else if(o.id=="Radio4")
			{
				var select5=document.all["Select5"];
				select5.setAttribute("disabled","true");
				var select6=document.all["Select6"];
				select6.setAttribute("disabled","true");
				var select7=document.all["Select7"];
				select7.setAttribute("disabled","true");
				
				var text4=document.all["Text4"];
				text4.removeAttribute("disabled");
			}
			else if(o.id=="Radio5")
			{
				var select8=document.all["Select8"];
				select8.removeAttribute("disabled");
				var select9=document.all["Select9"];
				select9.removeAttribute("disabled");
				var select10=document.all["Select10"];
				select10.removeAttribute("disabled");
				
				var text5=document.all["Text5"];
				text5.setAttribute("disabled","true");
			}
			else if(o.id=="Radio6")
			{
				var select8=document.all["Select8"];
				select8.setAttribute("disabled","true");
				var select9=document.all["Select9"];
				select9.setAttribute("disabled","true");
				var select10=document.all["Select10"];
				select10.setAttribute("disabled","true");
				
				var text5=document.all["Text5"];
				text5.removeAttribute("disabled");
			}
		}
		
		function insertSignalI()//加载页面时插入input中的signalName
		{
			var count=equipSampleSignals.length;

			for(i=0;i<count;i++)
			{
				if(equipSampleSignals[i].equipId==equip[0].equipId)
				{
					document.writeln("<option id='"+equipSampleSignals[i].equipId+"'value='"+equipSampleSignals[i].signalId+"'>"+equipSampleSignals[i].signalName+"</option>");
				}
			}
		}
		
		function insertSignalO()//加载页面时插入output中的signalName
		{
			var count=equipControlSignals.length;

			for(i=0;i<count;i++)
			{
				if(equipControlSignals[i].equipId==equip[0].equipId&&equipControlSignals[i].valueType=="5")//保证用于output的signal的valueType为enum,long=1;float=2;ulong=3;date=4;enum=5
				{
					document.writeln("<option id='"+equipControlSignals[i].equipId+"'value='"+equipControlSignals[i].signalId+"'>"+equipControlSignals[i].signalName+"</option>");
				}
			}
		}
		
		function insertEquipOption()//加载页面时插入input,output中的equipName
		{
			var count=equip.length;
			for(i=0;i<count;i++)
			{
				document.writeln("<option value='"+equip[i].equipId+"'>"+equip[i].equipName+"</option>");
			}
		}
		
		function OEquip( equipId, equipName) 
		{
			var o = new Object;
 			o.equipId  = equipId;
 			o.equipName = equipName;
			return o;
		}
		
		function OSample( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType = valueType;
			o.valueState = valueState;
			return o;
		}
		
		function OControl( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType = valueType;
			o.valueState = valueState;
			return o;
		}
		
		function OSetting( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType = valueType;
			o.valueState = valueState;
			return o;
		}
		
		function OAlarm( equipId,signalId,signalName,valueType,valueState) 
		{
			var o = new Object;
			o.equipId = equipId;
			o.signalId = signalId;
			o.signalName = signalName;
			o.valueType=valueType;
			o.valueState = valueState;
			return o;
		}

		var equipSampleSignals = new Array
		(
			
		//new OSample(equipId,signalId,signalName,valueType),... 
		/*[equip_sample_signals]*/
		
		);
		
		var equipControlSignals = new Array
		(
			
		//new OControl(equipId,signalId,signalName,valueType),... 
		/*[equip_control_signals]*/

		);
		
		var equipSettingSignals = new Array
		(
			
		//new OSetting(equipId,signalId,signalName,valueType),... 
		/*[equip_setting_signals]*/

		);
		
		var equipAlarmSignals = new Array
		(
			
		//new OAlarm(equipId,signalId,signalName,valueType),... 
		/*[equip_alarm_signals]*/

		);
		
		var equip = new Array
		(
		
		//new OEquip(equipId, equipName),... 
		/*[equipments]*/
		
		
		);
		
		function getSETResult()
		{
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var equipSelect=document.all["Select8"];
			var sigSelect=document.all["Select10"];
			var sigTypeSelect=document.all["Select9"];
			
			if(equipSelect.options.length==0||sigSelect.options.length==0||sigTypeSelect.options.length==0)
			{
				alert("/*[ID_OUTPUT_ERROR1]*/");//Output error
				return false;
			}
			
			var eqId=equipSelect.options[equipSelect.selectedIndex].value;
			var sigId=sigSelect.options[sigSelect.selectedIndex].value;
			var sigType=sigTypeSelect.options[sigTypeSelect.selectedIndex].value;
			
			
			
			var text1=document.getElementById("Text1");
			
			var patternP=/^(P\(-?\d+\.*\d*\))$/;//正则表达式模式匹配 P(The Value)
			
			if(!patternP.test(text1.value))
			{
				alert("/*[ID_PARAM1_ERROR]*/");//Param1 error
				return false;
			}
			var param1=text1.value;
			
			var text5=document.getElementById("Text5");
			
			var patternR=/^(R\(\d{1,2}\))$/;//正则表达式模式匹配 R(Register_ID)
			var output;
			if(radio5.checked)
			{
				output="S("+eqId+","+sigId+","+sigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR2]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			var result="SET\t_\t_\t"+param1+"\t_\t"+output;
			
			return result;
		}
		
		function getANDResult()
		{
			var equipSelect1=document.all["Select2"];
			var sigSelect1=document.all["Select4"];
			var sigTypeSelect1=document.all["Select3"];
			
			var equipSelect2=document.all["Select5"];
			var sigSelect2=document.all["Select7"];
			var sigTypeSelect2=document.all["Select6"];
			
			var equipSelect3=document.all["Select8"];
			var sigSelect3=document.all["Select10"];
			var sigTypeSelect3=document.all["Select9"];
			
			if(equipSelect1.options.length==0||sigSelect1.options.length==0||sigTypeSelect1.options.length==0||equipSelect2.options.length==0||sigSelect2.options.length==0||sigTypeSelect2.options.length==0||equipSelect3.options.length==0||sigSelect3.options.length==0||sigTypeSelect3.options.length==0)
			{
				alert("/*[ID_ALL_ERROR1]*/");//Input1 or Input2 or Output error
				return false;
			}
			
			var text3=document.getElementById("Text3");
			var text4=document.getElementById("Text4");
			var text5=document.getElementById("Text5");
			
			var radio1=document.getElementById("Radio1");
			var radio2=document.getElementById("Radio2");
			var radio3=document.getElementById("Radio3");
			var radio4=document.getElementById("Radio4");
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var input1eqId=equipSelect1.options[equipSelect1.selectedIndex].value;
			var input1sigId=sigSelect1.options[sigSelect1.selectedIndex].value;
			var input1sigType=sigTypeSelect1.options[sigTypeSelect1.selectedIndex].value;
			
			var input2eqId=equipSelect2.options[equipSelect2.selectedIndex].value;
			var input2sigId=sigSelect2.options[sigSelect2.selectedIndex].value;
			var input2sigType=sigTypeSelect2.options[sigTypeSelect2.selectedIndex].value;
		
			var outputeqId=equipSelect3.options[equipSelect3.selectedIndex].value;
			var outputsigId=sigSelect3.options[sigSelect3.selectedIndex].value;
			var outputsigType=sigTypeSelect3.options[sigTypeSelect3.selectedIndex].value;
			
			
			var input1;
			var input2;
			var output;
			
			var patternR=/^(R\(\d{1,2}\))$/;
			
			if(radio1.checked)
			{
				input1="S("+input1eqId+","+input1sigId+","+input1sigType+")";
			}
			else if(radio2.checked)
			{
				if(!patternR.test(text3.value))
				{
					alert("/*[ID_INPUT1_ERROR1]*/");//Input1 error
					return false;
				}
				input1=text3.value;
			}
			
			if(radio3.checked)
			{
				input2="S("+input2eqId+","+input2sigId+","+input2sigType+")";
			}
			else if(radio4.checked)
			{
				if(!patternR.test(text4.value))
				{
					alert("/*[ID_INPUT2_ERROR1]*/");//Input2 error
					return false;
				}
				input2=text4.value;
			}
			
			if(radio5.checked)
			{
				output="S("+outputeqId+","+outputsigId+","+outputsigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR3]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			var result="AND\t"+input1+"\t"+input2+"\t_\t_\t"+output;
			return result;
		}
		
		function getORResult()
		{
			var equipSelect1=document.all["Select2"];
			var sigSelect1=document.all["Select4"];
			var sigTypeSelect1=document.all["Select3"];
			
			var equipSelect2=document.all["Select5"];
			var sigSelect2=document.all["Select7"];
			var sigTypeSelect2=document.all["Select6"];
			
			var equipSelect3=document.all["Select8"];
			var sigSelect3=document.all["Select10"];
			var sigTypeSelect3=document.all["Select9"];
			
			if(equipSelect1.options.length==0||sigSelect1.options.length==0||sigTypeSelect1.options.length==0||equipSelect2.options.length==0||sigSelect2.options.length==0||sigTypeSelect2.options.length==0||equipSelect3.options.length==0||sigSelect3.options.length==0||sigTypeSelect3.options.length==0)
			{
				alert("/*[ID_ALL_ERROR2]*/");//Input1 or Input2 or Output error
				return false;
			}
			
			var text3=document.getElementById("Text3");
			var text4=document.getElementById("Text4");
			var text5=document.getElementById("Text5");
			
			var radio1=document.getElementById("Radio1");
			var radio2=document.getElementById("Radio2");
			var radio3=document.getElementById("Radio3");
			var radio4=document.getElementById("Radio4");
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var input1eqId=equipSelect1.options[equipSelect1.selectedIndex].value;
			var input1sigId=sigSelect1.options[sigSelect1.selectedIndex].value;
			var input1sigType=sigTypeSelect1.options[sigTypeSelect1.selectedIndex].value;
			
			var input2eqId=equipSelect2.options[equipSelect2.selectedIndex].value;
			var input2sigId=sigSelect2.options[sigSelect2.selectedIndex].value;
			var input2sigType=sigTypeSelect2.options[sigTypeSelect2.selectedIndex].value;
		
			var outputeqId=equipSelect3.options[equipSelect3.selectedIndex].value;
			var outputsigId=sigSelect3.options[sigSelect3.selectedIndex].value;
			var outputsigType=sigTypeSelect3.options[sigTypeSelect3.selectedIndex].value;
			
			
			var input1;
			var input2;
			var output;
			var patternR=/^(R\(\d{1,2}\))$/;
			
			if(radio1.checked)
			{
				input1="S("+input1eqId+","+input1sigId+","+input1sigType+")";
			}
			else if(radio2.checked)
			{
				if(!patternR.test(text3.value))
				{
					alert("/*[ID_INPUT1_ERROR2]*/");//Input1 error
					return false;
				}
				input1=text3.value;
			}
			
			if(radio3.checked)
			{
				input2="S("+input2eqId+","+input2sigId+","+input2sigType+")";
			}
			else if(radio4.checked)
			{
				if(!patternR.test(text4.value))
				{
					alert("/*[ID_INPUT2_ERROR2]*/");//Input2 error
					return false;
				}
				input2=text4.value;
			}
			
			if(radio5.checked)
			{
				output="S("+outputeqId+","+outputsigId+","+outputsigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR4]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			var result="OR\t"+input1+"\t"+input2+"\t_\t_\t"+output;
			return result;
		}
		
		function getNOTResult()
		{
			var equipSelect1=document.all["Select2"];
			var sigSelect1=document.all["Select4"];
			var sigTypeSelect1=document.all["Select3"];
			
			var equipSelect3=document.all["Select8"];
			var sigSelect3=document.all["Select10"];
			var sigTypeSelect3=document.all["Select9"];
			
			if(equipSelect1.options.length==0||sigSelect1.options.length==0||sigTypeSelect1.options.length==0||equipSelect3.options.length==0||sigSelect3.options.length==0||sigTypeSelect3.options.length==0)
			{
				alert("/*[ID_ALL_ERROR3]*/");//Input1 or Input2 or Output error
				return false;
			}
			
			var text3=document.getElementById("Text3");
			var text5=document.getElementById("Text5");
			var radio1=document.getElementById("Radio1");
			var radio2=document.getElementById("Radio2");
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var input1eqId=equipSelect1.options[equipSelect1.selectedIndex].value;
			var input1sigId=sigSelect1.options[sigSelect1.selectedIndex].value;
			var input1sigType=sigTypeSelect1.options[sigTypeSelect1.selectedIndex].value;
			
			var outputeqId=equipSelect3.options[equipSelect3.selectedIndex].value;
			var outputsigId=sigSelect3.options[sigSelect3.selectedIndex].value;
			var outputsigType=sigTypeSelect3.options[sigTypeSelect3.selectedIndex].value;
			
			var input1;
			var output;
			var patternR=/^(R\(\d{1,2}\))$/;
			
			if(radio1.checked)
			{
				input1="S("+input1eqId+","+input1sigId+","+input1sigType+")";
			}
			else if(radio2.checked)
			{
				if(!patternR.test(text3.value))
				{
					alert("/*[ID_INPUT1_ERROR3]*/");//Input1 error
					return false;
				}
				input1=text3.value;
			}
			
			if(radio5.checked)
			{
				output="S("+outputeqId+","+outputsigId+","+outputsigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR5]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			var result="NOT\t"+input1+"\t_\t_\t_\t"+output;
			return result;
		}
		
		function getXORResult()
		{
			var equipSelect1=document.all["Select2"];
			var sigSelect1=document.all["Select4"];
			var sigTypeSelect1=document.all["Select3"];
			
			var equipSelect2=document.all["Select5"];
			var sigSelect2=document.all["Select7"];
			var sigTypeSelect2=document.all["Select6"];
			
			var equipSelect3=document.all["Select8"];
			var sigSelect3=document.all["Select10"];
			var sigTypeSelect3=document.all["Select9"];
			
			if(equipSelect1.options.length==0||sigSelect1.options.length==0||sigTypeSelect1.options.length==0||equipSelect2.options.length==0||sigSelect2.options.length==0||sigTypeSelect2.options.length==0||equipSelect3.options.length==0||sigSelect3.options.length==0||sigTypeSelect3.options.length==0)
			{
				alert("/*[ID_ALL_ERROR4]*/");//Input1 or Input2 or Output error
				return false;
			}
			
			var text3=document.getElementById("Text3");
			var text4=document.getElementById("Text4");
			var text5=document.getElementById("Text5");
			
			var radio1=document.getElementById("Radio1");
			var radio2=document.getElementById("Radio2");
			var radio3=document.getElementById("Radio3");
			var radio4=document.getElementById("Radio4");
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var input1eqId=equipSelect1.options[equipSelect1.selectedIndex].value;
			var input1sigId=sigSelect1.options[sigSelect1.selectedIndex].value;
			var input1sigType=sigTypeSelect1.options[sigTypeSelect1.selectedIndex].value;
			
			var input2eqId=equipSelect2.options[equipSelect2.selectedIndex].value;
			var input2sigId=sigSelect2.options[sigSelect2.selectedIndex].value;
			var input2sigType=sigTypeSelect2.options[sigTypeSelect2.selectedIndex].value;
		
			var outputeqId=equipSelect3.options[equipSelect3.selectedIndex].value;
			var outputsigId=sigSelect3.options[sigSelect3.selectedIndex].value;
			var outputsigType=sigTypeSelect3.options[sigTypeSelect3.selectedIndex].value;
			
			
			var input1;
			var input2;
			var output;
			var patternR=/^(R\(\d{1,2}\))$/;
			
			if(radio1.checked)
			{
				input1="S("+input1eqId+","+input1sigId+","+input1sigType+")";
			}
			else if(radio2.checked)
			{
				if(!patternR.test(text3.value))
				{
					alert("/*[ID_INPUT1_ERROR4]*/");//Input1 error
					return false;
				}
				input1=text3.value;
			}
			
			if(radio3.checked)
			{
				input2="S("+input2eqId+","+input2sigId+","+input2sigType+")";
			}
			else if(radio4.checked)
			{
				if(!patternR.test(text4.value))
				{
					alert("/*[ID_INPUT2_ERROR3]*/");//Input2 error
					return false;
				}
				input2=text4.value;
			}
			
			if(radio5.checked)
			{
				output="S("+outputeqId+","+outputsigId+","+outputsigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR6]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			var result="XOR\t"+input1+"\t"+input2+"\t_\t_\t"+output;
			return result;
		}
		
		function getGTResult()
		{
			var equipSelect1=document.all["Select2"];
			var sigSelect1=document.all["Select4"];
			var sigTypeSelect1=document.all["Select3"];
			
			var equipSelect3=document.all["Select8"];
			var sigSelect3=document.all["Select10"];
			var sigTypeSelect3=document.all["Select9"];
			
			if(equipSelect1.options.length==0||sigSelect1.options.length==0||sigTypeSelect1.options.length==0||equipSelect3.options.length==0||sigSelect3.options.length==0||sigTypeSelect3.options.length==0)
			{
				alert("/*[ID_ALL_ERROR5]*/");//Input1 or Input2 or Output error
				return false;
			}
			
			var radio1=document.getElementById("Radio1");
			var radio2=document.getElementById("Radio2");
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var text1=document.getElementById("Text1");
			var text2=document.getElementById("Text2");
			var text3=document.getElementById("Text3");
			var text5=document.getElementById("Text5");
			
			var input1eqId=equipSelect1.options[equipSelect1.selectedIndex].value;
			var input1sigId=sigSelect1.options[sigSelect1.selectedIndex].value;
			var input1sigType=sigTypeSelect1.options[sigTypeSelect1.selectedIndex].value;
			
			var outputeqId=equipSelect3.options[equipSelect3.selectedIndex].value;
			var outputsigId=sigSelect3.options[sigSelect3.selectedIndex].value;
			var outputsigType=sigTypeSelect3.options[sigTypeSelect3.selectedIndex].value;
			
			var patternR=/^(R\(\d{1,2}\))$/;
			
			if(radio1.checked)
			{
				input1="S("+input1eqId+","+input1sigId+","+input1sigType+")";
			}
			else if(radio2.checked)
			{
				if(!patternR.test(text3.value))
				{
					alert("/*[ID_INPUT1_ERROR5]*/");//Input1 error
					return false;
				}
				input1=text3.value;
			}
			
			if(radio5.checked)
			{
				output="S("+outputeqId+","+outputsigId+","+outputsigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR7]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			
			var patternP=/^(P\(-?\d+\.*\d*\))$/;
			
			if(!patternP.test(text1.value))
			{
				alert("/*[ID_PARAM1_ERROR2]*/");//Param1 error
				return false;
			}
			var param1=text1.value;
			
			if(!patternP.test(text2.value))
			{
				alert("/*[ID_PARAM2_ERROR1]*/");//Param2 error
				return false;
			}
			var param2=text2.value;
			
			
			
			var result="GT\t"+input1+"\t_\t"+param1+"\t"+param2+"\t"+output;
			return result;
			
		}
		
		function getLTResult()
		{
			var equipSelect1=document.all["Select2"];
			var sigSelect1=document.all["Select4"];
			var sigTypeSelect1=document.all["Select3"];
			
			var equipSelect3=document.all["Select8"];
			var sigSelect3=document.all["Select10"];
			var sigTypeSelect3=document.all["Select9"];
			
			if(equipSelect1.options.length==0||sigSelect1.options.length==0||sigTypeSelect1.options.length==0||equipSelect3.options.length==0||sigSelect3.options.length==0||sigTypeSelect3.options.length==0)
			{
				alert("/*[ID_ALL_ERROR6]*/");//Input1 or Input2 or Output error
				return false;
			}
			
			var radio1=document.getElementById("Radio1");
			var radio2=document.getElementById("Radio2");
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var text1=document.getElementById("Text1");
			var text2=document.getElementById("Text2");
			var text3=document.getElementById("Text3");
			var text5=document.getElementById("Text5");
			
			var input1eqId=equipSelect1.options[equipSelect1.selectedIndex].value;
			var input1sigId=sigSelect1.options[sigSelect1.selectedIndex].value;
			var input1sigType=sigTypeSelect1.options[sigTypeSelect1.selectedIndex].value;
			
			var outputeqId=equipSelect3.options[equipSelect3.selectedIndex].value;
			var outputsigId=sigSelect3.options[sigSelect3.selectedIndex].value;
			var outputsigType=sigTypeSelect3.options[sigTypeSelect3.selectedIndex].value;
			
			var patternR=/^(R\(\d{1,2}\))$/;
			
			if(radio1.checked)
			{
				input1="S("+input1eqId+","+input1sigId+","+input1sigType+")";
			}
			else if(radio2.checked)
			{
				if(!patternR.test(text3.value))
				{
					alert("/*[ID_INPUT1_ERROR6]*/");//Input1 error
					return false;
				}
				input1=text3.value;
			}
			
			if(radio5.checked)
			{
				output="S("+outputeqId+","+outputsigId+","+outputsigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR8]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			
			var patternP=/^(P\(-?\d+\.*\d*\))$/;
			
			if(!patternP.test(text1.value))
			{
				alert("/*[ID_PARAM1_ERROR3]*/");//Param1 error
				return false;
			}
			var param1=text1.value;
			
			if(!patternP.test(text2.value))
			{
				alert("/*[ID_PARAM2_ERROR2]*/");//Param2 error
				return false;
			}
			var param2=text2.value;
			
			
			var result="LT\t"+input1+"\t_\t"+param1+"\t"+param2+"\t"+output;
			return result;
		}
		
		function getDSResult()
		{
			var equipSelect1=document.all["Select2"];
			var sigSelect1=document.all["Select4"];
			var sigTypeSelect1=document.all["Select3"];
			
			var equipSelect3=document.all["Select8"];
			var sigSelect3=document.all["Select10"];
			var sigTypeSelect3=document.all["Select9"];
			
			if(equipSelect1.options.length==0||sigSelect1.options.length==0||sigTypeSelect1.options.length==0||equipSelect3.options.length==0||sigSelect3.options.length==0||sigTypeSelect3.options.length==0)
			{
				alert("/*[ID_ALL_ERROR7]*/");//Input1 or Input2 or Output error
				return false;
			}
			
			var radio1=document.getElementById("Radio1");
			var radio2=document.getElementById("Radio2");
			var radio5=document.getElementById("Radio5");
			var radio6=document.getElementById("Radio6");
			
			var text1=document.getElementById("Text1");
			var text3=document.getElementById("Text3");
			var text5=document.getElementById("Text5");
			
			var input1eqId=equipSelect1.options[equipSelect1.selectedIndex].value;
			var input1sigId=sigSelect1.options[sigSelect1.selectedIndex].value;
			var input1sigType=sigTypeSelect1.options[sigTypeSelect1.selectedIndex].value;
			
			var outputeqId=equipSelect3.options[equipSelect3.selectedIndex].value;
			var outputsigId=sigSelect3.options[sigSelect3.selectedIndex].value;
			var outputsigType=sigTypeSelect3.options[sigTypeSelect3.selectedIndex].value;
			
			var patternR=/^(R\(\d{1,2}\))$/;
			
			if(radio1.checked)
			{
				input1="S("+input1eqId+","+input1sigId+","+input1sigType+")";
			}
			else if(radio2.checked)
			{
				if(!patternR.test(text3.value))
				{
					alert("/*[ID_INPUT1_ERROR7]*/");//Input1 error
					return false;
				}
				input1=text3.value;
			}
			
			if(radio5.checked)
			{
				output="S("+outputeqId+","+outputsigId+","+outputsigType+")";
			}
			else if(radio6.checked)
			{
				if(!patternR.test(text5.value))
				{
					alert("/*[ID_OUTPUT_ERROR9]*/");//Output error
					return false;
				}
				output=text5.value;
			}
			
			
			var patternP=/^(P\(-?\d+\.*\d*\))$/;
			
			if(!patternP.test(text1.value))
			{
				alert("/*[ID_PARAM1_ERROR4]*/");//Param1 error
				return false;
			}
			var param1=text1.value;
			
			var result="DS\t"+input1+"\t_\t"+param1+"\t_\t"+output;
			return result;
		}
		
		function add()
		{
			var result;
			var o=document.all["Select1"];
			switch(o.options[o.selectedIndex].innerText)
			{
				case 'SET':
				{
					result=getSETResult();
					//alert(result);
					break;
				}
				case 'AND':
				{
					result=getANDResult();
					//alert(result);
					break;
				}
				case 'OR':
				{
					result=getORResult();
					//alert(result);
					break;
				}
				case 'NOT':
				{
					result=getNOTResult();
					//alert(result);
					break;
				}
				case 'XOR':
				{
					result=getXORResult();
					//alert(result);
					break;
				}
				case 'GT':
				{
					result=getGTResult();
					//alert(result);
					break;
				}
				case 'LT':
				{
					result=getLTResult();
					//alert(result);
					break;
				}
				case 'DS':
				{
					result=getDSResult();
					//alert(result);
					break;
				}
			}
			
			if(result==false)
			{
				return false;
			}
			
			window.returnValue = result;
			window.close()
		}
		
		function init()
		{
			//Default Operator is OR	
			//Input1
			var select2=document.all["Select2"];
			select2.removeAttribute("disabled");
			var select3=document.all["Select3"];
			select3.removeAttribute("disabled");
			var select4=document.all["Select4"];
			select4.removeAttribute("disabled");
			
			var text3=document.all["Text3"];
			text3.setAttribute("disabled","true");
			
			var radio1=document.getElementById("Radio1");
			radio1.setAttribute("checked",true);
			radio1.removeAttribute("disabled");
			
			var radio2=document.getElementById("Radio2");
			radio2.removeAttribute("disabled");
			
			//Input2
			var select5=document.all["Select5"];
			select5.removeAttribute("disabled");
			var select6=document.all["Select6"];
			select6.removeAttribute("disabled");
			var select7=document.all["Select7"];
			select7.removeAttribute("disabled");
			
			var text4=document.all["Text3"];
			text4.setAttribute("disabled","true");
			
			var radio3=document.getElementById("Radio3");
			radio3.setAttribute("checked",true);
			radio3.removeAttribute("disabled");
			
			var radio4=document.getElementById("Radio4");
			radio4.removeAttribute("disabled");
			
			//Param1
			var text1=document.all["Text1"];
			text1.setAttribute("disabled","true");	
			
			//Param2
			var text2=document.all["Text2"];
			text2.setAttribute("disabled","true");	
		}

		//--></script>
<style type="text/css">
table { padding:2px 5px; margin-top:10px; font-family:Arial; border-top:#3d85c4 solid 1px; border-left:#3d85c4 solid 1px; }
table th { font-size:12px; padding:2px 5px; font-family:Arial; border-right:#3d85c4 solid 1px; border-bottom:#3d85c4 solid 1px; background:#3d85c4; color:#fff; }
table th.tdTitle { font-size:11px; font-weight:normal;  }
table td { font-size:12px; padding:2px 5px; font-family:Arial; border-right:#3d85c4 solid 1px; border-bottom:#3d85c4 solid 1px; height:24px; color:#333; }
input.ipt100 { width:100px; height:20px; line-height:20px; }
#table_config td select,#table_config td input { font-family:Arial; font-size:12px; }
</style>
</head>
<body onLoad="init();">
<form id="f_config">
  <table width="800" border="0" align="center" cellpadding="0" cellspacing="0" id="table_config">
    <tr>
      <th height="25" colspan="8" style="border-bottom:#fff solid 1px;">/*[ID_TITLE]*/</th>
    </tr>
    <tr>
      <th rowspan="2" width="75px" style="border-right:#fff solid 1px;"> /*[ID_Operator]*/</th>
      <th colspan="3" height="25px" style="border-bottom:#fff solid 1px; border-right:#fff solid 1px;"> <span>/*[ID_Signal1]*/
        <input type="radio" id="Radio1" name="Radio20" CHECKED onClick="ChangeState(this);" VALUE="Radio1">
        </span>/*[ID_Input1]*/ <span>/*[ID_Register1]*/
        <input type="radio" id="Radio2" name="Radio20" onClick="ChangeState(this);" VALUE="Radio2">
      </span> </th>
      <th rowspan="2" style="border-right:#fff solid 1px;"> /*[ID_Param1]*/</th>
      <th colspan="3" rowspan="2" style="border-bottom:#fff solid 1px;"> <span>/*[ID_Signal3]*/
        <input type="radio" id="Radio5" NAME="Radio10" CHECKED onClick="ChangeState(this);" VALUE="Radio5">
        </span>/*[ID_Output]*/ <span>/*[ID_Register3]*/
        <input type="radio" id="Radio6" name="Radio10" onClick="ChangeState(this);" VALUE="Radio6">
      </span></th>
    </tr>
    <tr>
      <th class="tdTitle" style="border-right:#fff solid 1px;">/*[ID_EquipName/Register1]*/</th>
      <th class="tdTitle" width="75px" style="border-right:#fff solid 1px;">/*[ID_SignalType1]*/</th>
      <th class="tdTitle" style="border-right:#fff solid 1px;">/*[ID_SignalName1]*/</th>
    </tr>
    <tr>
      <td rowspan="6"><select ID="Select1" NAME="Select1" onChange="Select1Chg(this);" style="width:50px" onmousewheel="javascript:event.returnValue=false;">
          <option selected value="OR">OR</option>
          <option value="AND">AND</option>
          <option value="GT">GT</option>
          <option value="DS">DS</option>
          <option value="SET">SET</option>
          <option value="XOR">XOR</option>
          <option value="NOT">NOT</option>
          <option value="LT">LT</option>
        </select></td>
      <td><select ID="Select2" NAME="Select2" onChange="selectChange(this)" onmousewheel="javascript:event.returnValue=false;">
          <script language="javascript">insertEquipOption()</script>
        </select></td>
      <td><select ID="Select3" NAME="Select3" onChange="typeChange(this);" onmousewheel="javascript:event.returnValue=false;">
          <option selected value="0">/*[ID_Sampling1]*/</option>
										<option value="1">/*[ID_Control1]*/</option>
										<option value="2">/*[ID_Setting1]*/</option>
										<option value="3">/*[ID_Alarm1]*/</option>
        </select></td>
      <td><select ID="Select4" NAME="Select4" onmousewheel="javascript:event.returnValue=false;">
          <script language="javascript">insertSignalI()</script>
        </select></td>
      <td width="75px" rowspan="2" align="center"><input type="text" style="WIDTH:60px;HEIGHT:25px" ID="Text1" NAME="Text1"></td>
      <th rowspan="2" class="tdTitle" style="border-right:#fff solid 1px;">/*[ID_EquipName/Register3]*/</th>
      <th rowspan="2" class="tdTitle" style="border-right:#fff solid 1px;" width="75px">/*[ID_SignalType3]*/</th>
      <th rowspan="2" class="tdTitle">/*[ID_SignalName3]*/</th>
    </tr>
    <tr>
      <td><input NAME="Text3" type="text" disabled class="ipt100" ID="Text3"></td>
      <td>__</td>
      <td>__</td>
    </tr>
    <tr>
      <th colspan="3" style="border-bottom:#fff solid 1px; border-right:#fff solid 1px;"> <span>/*[ID_Signal2]*/
        <input type="radio" id="Radio3" NAME="Radio50" CHECKED onClick="ChangeState(this);" VALUE="Radio3">
        </span>/*[ID_Input2]*/ <span>/*[ID_Register2]*/
        <input type="radio" id="Radio4" NAME="Radio50" onClick="ChangeState(this);" VALUE="Radio4">
      </span></th>
      <th rowspan="2">/*[ID_Param2]*/</th>
      <td rowspan="2"><select ID="Select8" NAME="Select8" onChange="selectChange(this);" onmousewheel="javascript:event.returnValue=false;">
          <script language="javascript">insertEquipOption()</script>
        </select></td>
      <td rowspan="2"><select ID="Select9" NAME="Select9" onChange="typeChange(this);" onmousewheel="javascript:event.returnValue=false;">
          <!--<option selected value="0">/*[ID_Sampling3]*/</option>-->
										<option selected value="1">/*[ID_Control3]*/</option>
										<option value="2">/*[ID_Setting3]*/</option>
        </select></td>
      <td rowspan="2"><select ID="Select10" NAME="Select10" onmousewheel="javascript:event.returnValue=false;">
          <script language="javascript">insertSignalO()</script>
        </select></td>
    </tr>
    <tr>
      <th class="tdTitle" style="border-right:#fff solid 1px;">/*[ID_EquipName/Register2]*/</th>
      <th class="tdTitle" style="border-right:#fff solid 1px;">/*[ID_SignalType2]*/</th>
      <th class="tdTitle" style="border-right:#fff solid 1px;">/*[ID_SignalName2]*/</th>
    </tr>
    <tr>
      <td><select ID="Select5" NAME="Select5" onChange="selectChange(this);" onmousewheel="javascript:event.returnValue=false;">
          <script language="javascript">insertEquipOption()</script>
        </select></td>
      <td><select ID="Select6" NAME="Select6" onChange="typeChange(this);" onmousewheel="javascript:event.returnValue=false;">
          <option selected value="0">/*[ID_Sampling2]*/</option>
										<option value="1">/*[ID_Control2]*/</option>
										<option value="2">/*[ID_Setting2]*/</option>
										<option value="3">/*[ID_Alarm2]*/</option>
        </select></td>
      <td><select ID="Select7" NAME="Select7">
          <script language="javascript">insertSignalI()</script>
        </select></td>
      <td rowspan="2" align="center"><input type="text" style="WIDTH:60px;HEIGHT:25px" ID="Text2" NAME="Text2"></td>
      <td rowspan="2"><input NAME="Text5" type="text" disabled class="ipt100" ID="Text5"></td>
      <td rowspan="2">__</td>
      <td rowspan="2">__</td>
    </tr>
    <tr>
      <td><input NAME="Text4" type="text" disabled class="ipt100" ID="Text4"></td>
      <td>__</td>
      <td>__</td>
    </tr>
  </table>
  <table width="800" border="0" align="center" cellpadding="0" cellspacing="0" ID="Table2" style="border:none;">
    <tr>
      <td align="right" style="border:none;"><input type="button" style="WIDTH:150px;HEIGHT:25px" value="/*[ID_ADD]*/" ID="addButton"
										NAME="addButton" onClick="add();"></td>
      <td align="left" style="border:none;"><input type="button" style="WIDTH:150px;HEIGHT:25px" value="/*[ID_CANCEL]*/" ID="cancelButton"
										NAME="cancelButton" onClick="cancel();"></td>
    </tr>
  </table>
</form>
</body>
</html>
